From 3fbd80ed131a8b29d590a74f83b792d6355d38e0 Mon Sep 17 00:00:00 2001
From: Ke Zhiming <kezhiming@huawei.com>
Date: Thu, 30 Apr 2020 16:44:11 +0800
Subject: [PATCH 56/77] virsh_event: wait for few seconds after attach disk

ARM virtual machine uses the PCIE bus. After the QEMU analog device is
hot plugged in, the guest kernel will have a delay waiting for a few
seconds, and then load the device driver. The hot unplug time within this
delay will be ignored, so add wait time after attach disk.

Signed-off-by: Ke Zhiming <kezhiming@huawei.com>
---
 libvirt/tests/src/virsh_cmd/domain/virsh_event.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/libvirt/tests/src/virsh_cmd/domain/virsh_event.py b/libvirt/tests/src/virsh_cmd/domain/virsh_event.py
index 580bff44..76c02a0b 100644
--- a/libvirt/tests/src/virsh_cmd/domain/virsh_event.py
+++ b/libvirt/tests/src/virsh_cmd/domain/virsh_event.py
@@ -266,6 +266,7 @@ def run(test, params, env):
                     add_disk(dom.name, new_disk, 'vdb', '')
                     expected_events_list.append("'device-added' for %s:"
                                                 " virtio-disk1")
+                    time.sleep(2)
                     virsh.detach_disk(dom.name, 'vdb', **virsh_dargs)
                     expected_events_list.append("'device-removed' for %s:"
                                                 " virtio-disk1")
-- 
2.23.0

